package com.ruoyi.system.service.columns.impl;

import java.util.List;

import com.ruoyi.system.domain.columns.YjStore;
import com.ruoyi.system.mapper.colums.YjStoreMapper;
import com.ruoyi.system.service.columns.IYjStoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 门店Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-10-31
 */
@Service
public class YjStoreServiceImpl implements IYjStoreService
{
    @Autowired
    private YjStoreMapper yjStoreMapper;

    /**
     * 查询门店
     * 
     * @param deptId 门店主键
     * @return 门店
     */
    @Override
    public YjStore selectYjStoreByDeptId(Long deptId)
    {
        return yjStoreMapper.selectYjStoreByDeptId(deptId);
    }

    /**
     * 查询门店列表
     * 
     * @param yjStore 门店
     * @return 门店
     */
    @Override
    public List<YjStore> selectYjStoreList(YjStore yjStore)
    {
        return yjStoreMapper.selectYjStoreList(yjStore);
    }

    /**
     * 新增门店
     * 
     * @param yjStore 门店
     * @return 结果
     */
    @Override
    public int insertYjStore(YjStore yjStore)
    {
        return yjStoreMapper.insertYjStore(yjStore);
    }

    /**
     * 修改门店
     * 
     * @param yjStore 门店
     * @return 结果
     */
    @Override
    public int updateYjStore(YjStore yjStore)
    {
        return yjStoreMapper.updateYjStore(yjStore);
    }

    /**
     * 批量删除门店
     * 
     * @param deptIds 需要删除的门店主键
     * @return 结果
     */
    @Override
    public int deleteYjStoreByDeptIds(Long[] deptIds)
    {
        return yjStoreMapper.deleteYjStoreByDeptIds(deptIds);
    }

    /**
     * 删除门店信息
     * 
     * @param deptId 门店主键
     * @return 结果
     */
    @Override
    public int deleteYjStoreByDeptId(Long deptId)
    {
        return yjStoreMapper.deleteYjStoreByDeptId(deptId);
    }
}
